## WebKitConsoleMessage WebKitConsoleMessage |

## Functions

WebKitConsoleMessage * | webkit_console_message_copy ()
void | webkit_console_message_free ()
WebKitConsoleMessageSource | webkit_console_message_get_source ()
WebKitConsoleMessageLevel | webkit_console_message_get_level ()
const gchar * | webkit_console_message_get_text ()
guint | webkit_console_message_get_line ()
const gchar * | webkit_console_message_get_source_id ()

## Types and Values

| WebKitConsoleMessage
enum | WebKitConsoleMessageSource
enum | WebKitConsoleMessageLevel

## Object Hierarchy

        GBoxed
        ╰── WebKitConsoleMessage
        GEnum
        ├── WebKitConsoleMessageLevel
        ╰── WebKitConsoleMessageSource

## Description

## Functions

### webkit_console_message_copy ()

    WebKitConsoleMessage *
    webkit_console_message_copy (WebKitConsoleMessage *console_message);

Make a copy of `console_message` .

#### Parameters

console_message | a WebKitConsoleMessage |

#### Returns

A copy of passed in WebKitConsoleMessage.

[transfer full]

Since: 2.12

### webkit_console_message_free ()

    void
    webkit_console_message_free (WebKitConsoleMessage *console_message);

Free the WebKitConsoleMessage

#### Parameters

console_message | a WebKitConsoleMessage |

Since: 2.12

### webkit_console_message_get_source ()

    WebKitConsoleMessageSource
    webkit_console_message_get_source (WebKitConsoleMessage *console_message);

Gets the source of a WebKitConsoleMessage

#### Parameters

console_message | a WebKitConsoleMessage |

#### Returns

a WebKitConsoleMessageSource indicating the source of `console_message`

Since: 2.12

### webkit_console_message_get_level ()

    WebKitConsoleMessageLevel
    webkit_console_message_get_level (WebKitConsoleMessage *console_message);

Gets the log level of a WebKitConsoleMessage

#### Parameters

console_message | a WebKitConsoleMessage |

#### Returns

a WebKitConsoleMessageLevel indicating the log level of `console_message`

Since: 2.12

### webkit_console_message_get_text ()

    const gchar *
    webkit_console_message_get_text (WebKitConsoleMessage *console_message);

Gets the text message of a WebKitConsoleMessage

#### Parameters

console_message | a WebKitConsoleMessage |

#### Returns

the text message of `console_message`

Since: 2.12

### webkit_console_message_get_line ()

    guint
    webkit_console_message_get_line (WebKitConsoleMessage *console_message);

Gets the line number of a WebKitConsoleMessage

#### Parameters

console_message | a WebKitConsoleMessage |

#### Returns

the line number of `console_message`

Since: 2.12

### webkit_console_message_get_source_id ()

    const gchar *
    webkit_console_message_get_source_id (WebKitConsoleMessage *console_message);

Gets the source identifier of a WebKitConsoleMessage

#### Parameters

console_message | a WebKitConsoleMessage |

#### Returns

the source identifier of `console_message`

Since: 2.12

## Types and Values

### WebKitConsoleMessage

    typedef struct _WebKitConsoleMessage WebKitConsoleMessage;

### enum WebKitConsoleMessageSource

Enum values used to denote the various sources of console messages.

#### Members

WEBKIT_CONSOLE_MESSAGE_SOURCE_JAVASCRIPT | Message produced by JavaScript. |
WEBKIT_CONSOLE_MESSAGE_SOURCE_NETWORK | Network messages. |
WEBKIT_CONSOLE_MESSAGE_SOURCE_CONSOLE_API | Messages produced by console API. |
WEBKIT_CONSOLE_MESSAGE_SOURCE_SECURITY | Security messages. |
WEBKIT_CONSOLE_MESSAGE_SOURCE_OTHER | Other messages. |

Since: 2.12

### enum WebKitConsoleMessageLevel

Enum values used to denote the various levels of console messages.

#### Members

WEBKIT_CONSOLE_MESSAGE_LEVEL_INFO | Information message. |
WEBKIT_CONSOLE_MESSAGE_LEVEL_LOG | Log message. |
WEBKIT_CONSOLE_MESSAGE_LEVEL_WARNING | Warning message. |
WEBKIT_CONSOLE_MESSAGE_LEVEL_ERROR | Error message. |
WEBKIT_CONSOLE_MESSAGE_LEVEL_DEBUG | Debug message. |

Since: 2.12